v_multi_scaler: V_multiscaler_v1_0

| v_multi_scaler Xilinx SDK Drivers API Documentation

- Overview
- APIs
- File List

Enumerations | Functions
V_multiscaler_v1_0

## Enumerations
enum | XV_MULTISCALER_TYPE
| This typedef eumerates the Scaler Type. More...
enum | XV_MULTISCALER_TAPS
| This typedef enumerates the supported taps. More...

## Functions
void | XV_MultiScalerStart (XV_multi_scaler *InstancePtr)
| This function starts the multi scaler core. More...
void | XV_MultiScalerStop (XV_multi_scaler *InstancePtr)
| This function stops the multi scaler core. More...
u32 | XV_MultiScalerGetNumOutputs (XV_multi_scaler *InstancePtr)
| This function returns the number of outputs. More...
void | XV_MultiScalerSetNumOutputs (XV_multi_scaler *InstancePtr, u32 NumOuts)
| This function sets the number of outputs. More...
void | XV_MultiScalerGetChannelConfig (XV_multi_scaler *InstancePtr, XV_multi_scaler_Video_Config *multi_scaler_cfg)
| This function reads the channel configuration. More...
void | XV_MultiScalerSetChannelConfig (XV_multi_scaler *InstancePtr, XV_multi_scaler_Video_Config *multi_scaler_cfg)
| This function configures the scaler core registers with the specified configuration parameters. More...

## Enumeration Type Documentation

enum XV_MULTISCALER_TAPS

This typedef enumerates the supported taps.

enum XV_MULTISCALER_TYPE

This typedef eumerates the Scaler Type.

## Function Documentation

void XV_MultiScalerGetChannelConfig | ( | XV_multi_scaler * | InstancePtr,
|  | XV_multi_scaler_Video_Config * | MS_cfg
| ) |  |

This function reads the channel configuration.

The ChannelId of the channel for which the configuration info is needed has to be filled by the application in the MS_cfg structure.

Parameters

  InstancePtr | is a pointer to the core instance to be worked on.
  MS_cfg | is a pointer to the multi scaler config structure.

Returns
  None

u32 XV_MultiScalerGetNumOutputs | ( | XV_multi_scaler * | InstancePtr | ) |

This function returns the number of outputs.

Parameters

  InstancePtr | is a pointer to the core instance to be worked on.

Returns
  number of outputs

void XV_MultiScalerSetChannelConfig | ( | XV_multi_scaler * | InstancePtr,
|  | XV_multi_scaler_Video_Config * | MS_cfg
| ) |  |

This function configures the scaler core registers with the specified configuration parameters.

Parameters

  InstancePtr | is a pointer to the core instance to be worked on.
  MS_cfg | is a pointer to the multi scaler config structure.

Returns
  None

void XV_MultiScalerSetNumOutputs | ( | XV_multi_scaler * | InstancePtr,
|  | u32 | NumOuts
| ) |  |

This function sets the number of outputs.

Parameters

  InstancePtr | is a pointer to the core instance to be worked on.
  NumOuts | is the number of output channels.

Returns
  None

void XV_MultiScalerStart | ( | XV_multi_scaler * | InstancePtr | ) |

This function starts the multi scaler core.

Parameters

  InstancePtr | is a pointer to the core instance to be worked on.

Returns
  None

void XV_MultiScalerStop | ( | XV_multi_scaler * | InstancePtr | ) |

This function stops the multi scaler core.

Parameters

  InstancePtr | is a pointer to the core instance to be worked on.

Returns
  None